help--vodafone mobile connect card driver for linux

Discussion in 'Technical' started by seba, Jun 10, 2009.

  1. seba

    seba New Member

    hi all,just upgraded my laptop to Vista and CentOS5 dual boot OS and have some problems configuring vodafone usb key in linux.having no internet conection and cant update I get this errors after instaling vodafone mobile connect card driver:
    ---------------------------------------------------------------------------
    [root@localhost ~]# vodafone-mobile-connect-card-driver-for-linux
    /opt/vmc/lib/python/site-packages/zope.interface-3.3.0-py2.5-linux-i686.egg/zope/interface/interface.py:196: RuntimeWarning: Python C API version mismatch for module _zope_interface_coptimizations: This Python has API version 1012, module _zope_interface_coptimizations has version 1013.
    import _zope_interface_coptimizations
    Traceback (most recent call last):
    File "/opt/vmc/bin/twistd", line 21, in ?
    run()
    File "/opt/vmc/lib/python/site-packages/twisted/scripts/twistd.py", line 27, in run
    app.run(runApp, ServerOptions)
    File "/opt/vmc/lib/python/site-packages/twisted/application/app.py", line 374, in run
    config.parseOptions()
    File "/opt/vmc/lib/python/site-packages/twisted/application/app.py", line 354, in parseOptions
    usage.Options.parseOptions(self, options)
    File "/opt/vmc/lib/python/site-packages/twisted/python/usage.py", line 177, in parseOptions
    self.__dispatch[optMangled](optMangled, arg)
    File "/opt/vmc/lib/python/site-packages/twisted/python/usage.py", line 333, in <lambda>
    fn = lambda name, value, m=method: m(value)
    File "/opt/vmc/lib/python/site-packages/twisted/application/app.py", line 276, in opt_reactor
    installReactor(shortName)
    File "/opt/vmc/lib/python/site-packages/twisted/application/reactors.py", line 80, in installReactor
    installer.install()
    File "/opt/vmc/lib/python/site-packages/twisted/application/reactors.py", line 60, in install
    namedAny(self.moduleName).install()
    File "/opt/vmc/lib/python/site-packages/twisted/python/reflect.py", line 357, in namedAny
    topLevelPackage = __import__(trialname)
    File "/opt/vmc/lib/python/site-packages/twisted/internet/gtk2reactor.py", line 37, in ?
    import gobject
    File "/opt/vmc/lib/python/site-packages/gtk-2.0/gobject/__init__.py", line 30, in ?
    from gobject.constants import *
    File "/opt/vmc/lib/python/site-packages/gtk-2.0/gobject/constants.py", line 22, in ?
    from _gobject import type_from_name
    ImportError: /opt/vmc/lib/python/site-packages/gtk-2.0/gobject/_gobject.so: undefined symbol: _PyArg_ParseTuple_SizeT
    [root@localhost ~]#
    ---------------------------------------------------------------------------

    please help,Im new to linux,cant update ,is there any shell command to get aditional rpms from media cd?
    thank you
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Maybe you need a different Python version. If you don't have an Internet connection on that system, you could copy the RPM packages to a USB stick or CD.
     
  3. seba

    seba New Member

    I have internet connection now,can you please tell me the exact yum command to download missing rpms?
    thank you
    I also try a rpm vmc install and got this
    Missing Dependency: python-sqlite2 is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: usb_modeswitch is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gnome is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-serial is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gobject2 is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-cairo is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-crypto is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gtk is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-tz is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: dbus-1-python is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-notify is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gnome-extras is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-twisted-conch is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-twisted is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/media/disk/vodafone/vodafone/vodafone-mobile-connect-svn20090521.noarch.rpm)
    -----
    what to do?
    thnks
     
    Last edited: Jun 11, 2009
  4. falko

    falko Super Moderator ISPConfig Developer

    Try
    Code:
    yum install python-sqlite2 usb_modeswitch python-gnome python-serial python-gobject2 python-cairo python-crypto python-gtk python-tz dbus-1-python python-notify python-gnome-extras python-twisted-conch python-twisted
     
  5. seba

    seba New Member

    I try it.I got this:
    -----------------------------------------------------------------------------------------------------------
    [seba@localhost ~]$ su -
    Password:
    [root@localhost ~]# yum install python-sqlite2 usb_modeswitch python-gnome python-serial python-gobject2 python-cairo python-crypto python-gtk python-tz dbus-1-python python-notify python-gnome-extras python-twisted-conch python-twisted
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: centos.fastbull.org
    * updates: centos.fastbull.org
    * addons: centos.fastbull.org
    * extras: centos.fastbull.org
    base | 1.1 kB 00:00
    updates | 951 B 00:00
    addons | 951 B 00:00
    extras | 1.1 kB 00:00
    Setting up Install Process
    Parsing package install arguments
    No package python-sqlite2 available.
    No package usb_modeswitch available.
    No package python-gnome available.
    No package python-serial available.
    No package python-gobject2 available.
    No package python-cairo available.
    No package python-crypto available.
    No package python-gtk available.
    No package python-tz available.
    No package dbus-1-python available.
    No package python-notify available.
    No package python-gnome-extras available.
    No package python-twisted-conch available.
    No package python-twisted available.
    Nothing to do
    [root@localhost ~]#
    --------------------------------------------------------------------------------------------------------

    so wth the problem can be?
     
  6. falko

    falko Super Moderator ISPConfig Developer

    Maybe the package names are slightly different on your distribution. You can search for the correct packages like this:
    Code:
    yum search python
     
  7. seba

    seba New Member

    [root@localhost ~]# yum search phyton
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: mirror.silyus.net
    * updates: centos.xengage.it
    * addons: centos.kiewel-online.ch
    * extras: centos.kiewel-online.ch
    base | 1.1 kB 00:00
    updates | 951 B 00:00
    addons | 951 B 00:00
    extras | 1.1 kB 00:00
    Warning: No matches found for: phyton
    No Matches found
    [root@localhost ~]# yum search python
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: ftp.halifax.rwth-aachen.de
    * updates: centos.xengage.it
    * addons: ftp-stud.fht-esslingen.de
    * extras: mirror.atrpms.net
    =============================== Matched: python ================================
    openoffice.org-pyuno.i386 : Python bindings for openoffice.org
    tix.i386 : A set of extension widgets for Tk
    tix-devel.i386 : Tk Interface eXtension development files
    tix-doc.i386 : Tk Interface eXtension documentation
    pilot-link.i386 : File transfer utilities between Linux and PalmPilots.
    vim-enhanced.i386 : A version of the VIM editor which includes recent
    : enhancements.
    MySQL-python.i386 : An interface to MySQL
    OpenIPMI-python.i386 : OpenIPMI Python language bindings
    PyQt.i386 : Python bindings for Qt
    PyQt-examples.i386 : Examples for PyQt
    PyXML.i386 : XML libraries for python.
    Pyrex.noarch : A compiler/language for writing Python extension modules.
    ant-scripts.i386 : Additional scripts for ant
    audit-libs-python.i386 : Python bindings for libaudit
    beecrypt-python.i386 : Files needed for python applications using beecrypt.
    booty.noarch : simple python bootloader config lib
    bsf.i386 : Bean Scripting Framework
    db4.i386 : The Berkeley DB database library (version 4) for C.
    dbus-python.i386 : D-Bus Python Bindings
    gamin-python.i386 : Python bindings for the gamin library
    glade2.i386 : A GTK+ GUI builder.
    gnome-menus.i386 : A menu system for the GNOME project
    gnome-python2.i386 : The sources for the PyGNOME Python extension module
    gnome-python2-applet.i386 : Python bindings for GNOME Panel applets.
    gnome-python2-bonobo.i386 : Python bindings for interacting with bonobo.
    gnome-python2-canvas.i386 : Python bindings for the GNOME Canvas.
    gnome-python2-desktop.i386 : The sources for additional PyGNOME Python extension
    : modules for the GNOME desktop
    gnome-python2-extras.i386 : The sources for additional. PyGNOME Python extension
    : modules.
    gnome-python2-gconf.i386 : Python bindings for interacting with GConf
    gnome-python2-gnomedesktop.i386 : Python bindings for interacting with gnome-
    : desktop
    gnome-python2-gnomekeyring.i386 : Python bindings for interacting with gnome-
    : keyring
    gnome-python2-gnomeprint.i386 : Python bindings for interacting with
    : libgnomeprint
    gnome-python2-gnomevfs.i386 : Python bindings for interacting with gnome-vfs
    gnome-python2-gtkhtml2.i386 : Python bindings for interacting with gtkhtml2
    gnome-python2-gtkmozembed.i386 : Python bindings for interacting with
    : gtkmozembed
    gnome-python2-gtksourceview.i386 : Python bindings for interacting with the
    : gtksourceview library
    gnome-python2-gtkspell.i386 : Python bindings for interacting with gtkspell
    gnome-python2-libegg.i386 : Python bindings for recent files and tray icons
    gnome-python2-libgtop2.i386 : Python bindings for interacting with libgtop
    gnome-python2-libwnck.i386 : Python bindings for interacting with libwnck
    gnome-python2-metacity.i386 : Python bindings for interacting with metacity
    gnome-python2-nautilus-cd-burner.i386 : Python bindings for interacting with
    : nautilus-cd-burner
    gnome-python2-rsvg.i386 : Python bindings for interacting with librsvg
    gnome-python2-totem.i386 : Python bindings for interacting with totem
    gtk-vnc-python.i386 : Python bindings for the gtk-vnc library
    libbdevid-python.i386 : Python bindings for libbdevid
    libbeagle-python.i386 : Beagle python interface
    libieee1284-python.i386 : Python extension module for libieee1284.
    libselinux-python.i386 : python bindings for libselinux
    libvirt-python.i386 : Python bindings for the libvirt library
    libxml2-python.i386 : Python bindings for the libxml2 library
    libxslt-python.i386 : Python bindings for the libxslt library
    m2crypto.i386 : Support for using OpenSSL in python scripts
    mod_python.i386 : An embedded Python interpreter for the Apache Web server.
    mx.i386 : A collection of Python software tools.
    notify-python.i386 : Python bindings for libnotify
    pexpect.noarch : Pure Python Expect-like module
    postgresql-pl.i386 : The PL procedural languages for PostgreSQL.
    postgresql-python.i386 : Development module for Python code to access a
    : PostgreSQL DB.
    pyOpenSSL.i386 : Python wrapper module around the OpenSSL library
    pycairo.i386 : Python bindings for the cairo library
    pygobject2.i386 : Python bindings for GObject
    pygtk2.i386 : Python bindings for the GTK+ widget set.
    pykickstart.noarch : A python library for manipulating kickstart files
    pyorbit.i386 : Python bindings for ORBit2.
    pyparted.i386 : Python module for GNU parted
    pyspi.i386 : Python bindings for AT-SPI
    python.i386 : An interpreted, interactive, object-oriented programming language.
    python-devel.i386 : The libraries and header files needed for Python
    : development.
    python-docs.noarch : Documentation for the Python programming language.
    python-elementtree.i386 : Fast XML parser and writer
    python-exo.i386 : Python tools for exo library
    python-imaging.i386 : Python's own image processing library
    python-imaging-devel.i386 : Development files for python-imaging.
    python-iniparse.noarch : Python Module for Accessing and Modifying Configuration
    : Data in INI files
    python-lcms.i386 : Python interface to LittleCMS.
    python-ldap.i386 : An object-oriented API to access LDAP directory servers.
    python-numeric.i386 : Numerical Extension to Python
    python-pyblock.i386 : Python modules for dealing with block devices
    python-setuptools.noarch : Download, build, install, upgrade, and uninstall
    : Python packages
    python-sqlite.i386 : Python bindings for sqlite.
    python-tools.i386 : A collection of development tools included with Python.
    python-urlgrabber.noarch : A high-level cross-protocol url-grabber
    python-virtinst.noarch : Python modules for starting Xen guest installations
    pyxf86config.i386 : Python wrappers for libxf86config
    rhpl.i386 : Library of python code used by programs in Red Hat Linux
    rhpxl.i386 : Python library for configuring and running X.
    rpm-python.i386 : Python bindings for apps which will manipulate RPM packages
    sip.i386 : SIP - Python/C++ Bindings Generator
    sip-devel.i386 : Files needed to generate Python bindings for any C++ class
    : library
    swig.i386 : Connects C/C++/Objective C to some high-level programming languages.
    system-config-bind.noarch : The BIND DNS Configuration Tool.
    tkinter.i386 : A graphical user interface for the Python scripting language.
    yum-protect-packages.noarch : Yum plugin to prevents Yum from removing itself
    : and other protected packages
    [root@localhost ~]# yum install dbus-python.i386 gnome-python2-extras.i386 python-sqlite.i386 pycairo.i386 pygobject2.i386 pygtk2.i386 notify-python.i386 m2crypto.i386 gnome-python2.i386 python-setuptools.noarch rpm-python.i386 yum-protect-packages.noarch
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: centos.kiewel-online.ch
    * updates: ftp.plusline.de
    * addons: ftp.plusline.de
    * extras: centos.intergenia.de
    Setting up Install Process
    Parsing package install arguments
    Package dbus-python-0.70-7.el5.i386 already installed and latest version
    Package gnome-python2-extras-2.14.2-6.el5.i386 already installed and latest version
    Package python-sqlite-1.1.7-1.2.1.i386 already installed and latest version
    Package pycairo-1.2.0-1.1.i386 already installed and latest version
    Package pygobject2-2.12.1-5.el5.i386 already installed and latest version
    Package pygtk2-2.10.1-12.el5.i386 already installed and latest version
    Package notify-python-0.1.0-3.fc6.i386 already installed and latest version
    Package m2crypto-0.16-6.el5.3.i386 already installed and latest version
    Package gnome-python2-2.16.0-1.fc6.i386 already installed and latest version
    Package rpm-python-4.4.2.3-9.el5.i386 already installed and latest version
    Resolving Dependencies
    --> Running transaction check
    ---> Package yum-protect-packages.noarch 0:1.1.16-13.el5.centos set to be updated
    ---> Package python-setuptools.noarch 0:0.6c5-2.el5 set to be updated
    --> Finished Dependency Resolution

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository
    Size
    ================================================================================
    Installing:
    python-setuptools noarch 0.6c5-2.el5 base 479 k
    yum-protect-packages noarch 1.1.16-13.el5.centos base 12 k

    Transaction Summary
    ================================================================================
    Install 2 Package(s)
    Update 0 Package(s)
    Remove 0 Package(s)

    Total download size: 492 k
    Is this ok [y/N]: y
    Downloading Packages:
    (1/2): yum-protect-packages-1.1.16-13.el5.centos.noarch. | 12 kB 00:00
    (2/2): python-setuptools-0.6c5-2.el5.noarch.rpm | 479 kB 00:05
    --------------------------------------------------------------------------------
    Total 64 kB/s | 492 kB 00:07
    Running rpm_check_debug
    Running Transaction Test
    Finished Transaction Test
    Transaction Test Succeeded
    Running Transaction
    Installing : python-setuptools [1/2]
    Installing : yum-protect-packages [2/2]

    Installed: python-setuptools.noarch 0:0.6c5-2.el5 yum-protect-packages.noarch 0:1.1.16-13.el5.centos
    Complete!
    ------------------------------------
    now try to install...let see whats hapen!!!
     
  8. seba

    seba New Member

    same thing :mad:
    ---------------------------------------------
    Missing Dependency: python-sqlite2 is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: usb_modeswitch is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gnome is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gobject2 is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-cairo is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-serial is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-crypto is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gtk is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: dbus-1-python is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-twisted is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-notify is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-gnome-extras is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-twisted-conch is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    Missing Dependency: python-tz is needed by package vodafone-mobile-connect-2.00.00-1.noarch (/root/documents/vmc/vodafone-mobile-connect-svn20090521.noarch.rpm)
    ------------------------------------------------------------------------------------------------------
     

Share This Page